import java.util.ArrayList;
 
public class ZooAnimal 
{
 
    // variable creation
    String name;
    String food;
    String animalType;
    String description;
    String environment;
   
 
    // animal object creation
    public ZooAnimal(String name, String description, String animalType, String food, String environment) 
    {
        this.name = name;
        this.description = description;
        this.animalType = animalType;
        this.food = food;
        this.environment = environment;
    }
    public static void main(String[] args) 
    {
        ArrayList<ZooAnimal> arrayOfAnimalsInZoo = new ArrayList<>();
        arrayOfAnimalsInZoo.add(new ZooAnimal("Lions", "They have strong compact bodies. Their coats are yellow-gold and adult males have shaggy manes.",
         "They are Mammals.", "They eat small to medium size large hoofed animals like zebras.", "They prefer grassland, savanna, dense srcub, and open woodland. They range across much of Europe, Asia and Africa."));
         arrayOfAnimalsInZoo.add(new ZooAnimal("Python Snakes", "They scales come in many colors and patterns. Some colors range from tan, brown, black, white, grey, etc. Adults can range anywhere from 20 in in length.",
         "They are Reptiles.", "They eat rodents, birds, lizards, monkeys, wallabies, pigs, and antelope.", "They are found in rainforests, grasslands, savannas, woodlands, swamps, rocky outcrops, dessert sand hills, and shrub lands."));
         arrayOfAnimalsInZoo.add(new ZooAnimal("Sharks", "have a tough skin that is grey and roughened by toothlike scales. They have an upturned tail, pointed fins, a pointed snout and a set of sharp triangular teeth.",
         "They are Fish.", "They eat shrimp, fish, squid, sea turtles and sometimes bigger animals like dolphins, seals and sealions.", "They are found in costal, marine and oceanic environments."));
         arrayOfAnimalsInZoo.add(new ZooAnimal("Elephants", "Elephants are the largest living land animal. Have long trunks, column like legs and a huge head. They are grayish to brown in color.",
         "They are Mammals.", "They eat plants like grass, shrubs and herbs. They also eat bark and fruits.", "They are found in savannas, grasslands, forest and suntropical regions of Africa and Asia."));
         arrayOfAnimalsInZoo.add(new ZooAnimal("Wolves", "are canines with long bushy tails that are often black-tipped. Their coat color is a mixture of gray and brown.",
         "They are Mammals.", "They eat large hoofed animals like deer, elk, bison, and moose. They also hunt beavers, rodents and hares.", "They are found in a variety of habitats from the tundra to woodlands, forests, grasslands and deserts."));
         arrayOfAnimalsInZoo.add(new ZooAnimal("Eagles", "They have a fully feathered head and strong feet with curved talons.",
         "They are Birds.", "They eat rabbits, hares, grouse, ptarmigan, gulls and seabirds.", "They inhabit lakes and reservoirs with lots of fish and surrounding forest."));
         arrayOfAnimalsInZoo.add(new ZooAnimal("Catfish", "They have whisker-like barbels located on the nose, chin and the sides of their mouth.",
         "They are Fish.", "They eat small fish, crayfish, snails, clams and frogs.", "They can live in rivers, lakes, ponds, streams and swamps."));
         arrayOfAnimalsInZoo.add(new ZooAnimal("Dolphins", "They have smooth, rubbery skin and are colored in a mixture of black, gray and white. They have two flippers on the sides and the back.",
         "They are Mammals.", "They eat sawfish and mackerel.", "They live in open oceans, coastal waters, river basins, certain inland seas, gulfs and in channels."));
         arrayOfAnimalsInZoo.add(new ZooAnimal("Penguins", "They have a large head, small neck and long body. The legs and webbed feet are set far back on the body.",
         "They are Birds.", "They eat krill, squids and fishes.", "They inhabit oceans and coasts."));
         arrayOfAnimalsInZoo.add(new ZooAnimal("Polar Bears", "They are stocky with a long neck, relatively small head, short rounded ears, and a short tail.",
         "They are Mammals.", "They eat ringed seals, bearded seals, harp seals, hooded and harbor seals.", "They inhabit arctic sea ice, water, islands, and continental costlines."));
       
         for (ZooAnimal zooAnimal: arrayOfAnimalsInZoo)
         {
            System.out.println(zooAnimal.name + " Description: " + zooAnimal.description + "\nAnimal Type: " + zooAnimal.animalType + "\nFood: " + zooAnimal.food + "\nEnvironment: " + zooAnimal.environment + "\n\n");
         }
 
    }
}